%define upstream_name    Dist-Zilla-Plugin-Test-Portability
%define upstream_version 2.001000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Release tests for portability
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Portability::Files)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-PortabilityTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-PortabilityTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/portability.t - a standard Test::Portability::Files test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-4.mga8
+ Revision: 1504238
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1283350
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.1.0-2.mga7
+ Revision: 1164270
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.1.0-1.mga7
+ Revision: 1157889
- update to 2.001000

* Sun Jun 19 2016 pterjan <pterjan> 2.0.6-3.mga6
+ Revision: 1026609
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.6-2.mga6
+ Revision: 966747
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.0.6-1.mga6
+ Revision: 846758
- update to 2.000006

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 747063
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 531465
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.5-1.mga4
+ Revision: 463495
- update to 2.000005

* Fri Jun 07 2013 jquelin <jquelin> 2.0.4-1.mga4
+ Revision: 439173
- update to 2.000004

* Sun Jan 13 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 366518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 2.0.3-1.mga3
+ Revision: 261555
- update to 2.000003

* Mon Sep 26 2011 jquelin <jquelin> 2.0.2-1.mga2
+ Revision: 148573
- update to 2.0.2
- dist renamed upstream
- update to 1.111840

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40541
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PortabilityTests

